#pragma once

#include "CoreMinimal.h"
#include "FloatValueStrategy.h"
#include "TunableStat.h"
#include "TunableStatFloatValueStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DEADBYDAYLIGHT_API UTunableStatFloatValueStrategy : public UFloatValueStrategy
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FTunableStat _value;

public:
	UTunableStatFloatValueStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UTunableStatFloatValueStrategy) { return 0; }
